Bug 1653406 - [regression]The pvc provision fails when creating postgresql production apb with glusterfs.
Summary: [regression]The pvc provision fails when creating postgresql production apb w...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: kubernetes
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Humble Chirammal
QA Contact: Prasanth
URL:
Whiteboard:
Depends On:
Blocks: 1629517
TreeView+ depends on / blocked
 
Reported: 2018-11-26 18:56 UTC by Jason Montleon
Modified: 2019-05-02 10:13 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1629517
Environment:
Last Closed: 2019-05-02 10:13:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Jason Montleon 2018-11-26 18:59:03 UTC
From what we're seeing it seems that when the PV is automatically created for a PVC with a very long name the generated name for the PV can be too long, breaking the pv creation.

Comment 3 Yaniv Kaul 2019-03-27 13:46:39 UTC
What's the latest status here?

Comment 6 Humble Chirammal 2019-04-05 06:44:38 UTC
To summarize, you should not face this issue with oc build which is >= 3.11.43, It should allow successful volume creation.

Comment 9 Zhang Cheng 2019-04-10 14:54:54 UTC
Zitang,

Could you help to provide support to try to confirm this problem with >= 3.11.43 ? Thx.

Comment 10 Zihan Tang 2019-04-11 06:52:50 UTC
In v3.11.104,
I think this is fixed.
pvc created successfully.

[root@ip-172-18-7-57 ~]# oc get pod
NAME                                                      READY     STATUS    RESTARTS   AGE
postgresql-9fef1d35-5c24-11e9-b749-0a580a800006-1-mgz6f   1/1       Running   0          9m
[root@ip-172-18-7-57 ~]# oc get pvc
NAME                                              STATUS    VOLUME                                     CAPACITY   ACCESS MODES   STORAGECLASS        AGE
postgresql-9fef1d35-5c24-11e9-b749-0a580a800006   Bound     pvc-d02c0c32-5c24-11e9-bd52-0e715c043546   1Gi        RWO            glusterfs-storage   9m

Comment 11 Humble Chirammal 2019-05-02 10:13:22 UTC
(In reply to Zihan Tang from comment #10)
> In v3.11.104,
> I think this is fixed.
> pvc created successfully.
> 
> [root@ip-172-18-7-57 ~]# oc get pod
> NAME                                                      READY     STATUS  
> RESTARTS   AGE
> postgresql-9fef1d35-5c24-11e9-b749-0a580a800006-1-mgz6f   1/1       Running 
> 0          9m
> [root@ip-172-18-7-57 ~]# oc get pvc
> NAME                                              STATUS    VOLUME          
> CAPACITY   ACCESS MODES   STORAGECLASS        AGE
> postgresql-9fef1d35-5c24-11e9-b749-0a580a800006   Bound    
> pvc-d02c0c32-5c24-11e9-bd52-0e715c043546   1Gi        RWO           
> glusterfs-storage   9m



Awesome!! Thanks Zihan Tang for verifying the fix. 

I am closing this bug as "FIXED IN CURRENT RELEASE" !


Note You need to log in before you can comment on or make changes to this bug.